﻿using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.BaseLib.OperationModel;

namespace OpcLabs.BaseLibFactory.OperationModel
{
    static public class ValueResultInstances
    {
        [NotNull]
        static public ValueResult Instance0 => new ValueResult();

        [NotNull]
        static public ValueResult Instance1 => new ValueResult(state: null, value: 111);

        [NotNull]
        static public ValueResult Instance2 => new ValueResult("TestState", "TestValue");

        [NotNull]
        static public ValueResult Instance3 => new ValueResult(null, new COMException("TestMessage", 918273645), -8273645);

        [NotNull]
        static public ValueResult Instance4 => new ValueResult(null, new COMException("TestMessage1", new COMException("TestMessage2")), -918273645);

        [NotNull]
        static public ValueResult Instance_DateTime_Utc => new ValueResult(state: null, value: DateTimeInstances.Kind_Utc);
    }
}
