﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Net;
using OpcLabs.BaseLib.Security;

namespace OpcLabs.BaseLibFactory.Security
{
    static public class NetworkSecurityInstances
    {
        [NotNull]
        static public NetworkSecurity Instance1 => new NetworkSecurity
        {
            CustomNetworkCredential = false,
        };

        [NotNull]
        static public NetworkSecurity Instance2 => new NetworkSecurity
        {
            CustomNetworkCredential = true,
            NetworkCredential = new NetworkCredential2("userName2", "password2", "domain2")
        };
    }
}
