﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Collections.Generic.Extensions;
using OpcLabs.EasyOpc.AlarmsAndEvents;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents
{
    static public class AESubscriptionParametersInstances
    {
        [NotNull]
        static public AESubscriptionParameters Instance1
        {
            get
            {
                var subscriptionParameters = new AESubscriptionParameters(
                    true,
                    22222,
                    AESubscriptionFilterInstances.Instance1);

                subscriptionParameters.ReturnedAttributesByCategory.AddNew(1, new[] { 11L, 12L, 13L });
                subscriptionParameters.ReturnedAttributesByCategory.AddNew(2, new[] { 21L });
                subscriptionParameters.ReturnedAttributesByCategory.AddNew(3, new long[] { });

                return subscriptionParameters;
            }
        }
    }
}
