﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Connectivity;

namespace OpcLabs.EasyOpcFactory.DataAccess.Connectivity
{
    static public class DAConnectivityInstances
    {
        [NotNull]
        static public DAConnectivity Instance0 => new DAConnectivity();

        [NotNull]
        static public DAConnectivity Instance1 => new DAConnectivity
        {
            Configuration = DAConnectivityConfigurationInstances.Instance1,
            CustomReference = "testCustomReference",
            ItemReadParametersTemplate = DAItemPointReadParametersInstances.Instance1,
            ItemSubscribeParametersTemplate = DAItemPointSubscribeParametersInstances.Instance1,
            ItemWriteParametersTemplate = DAItemPointWriteParametersInstances.Instance1,
        };
    }
}
