﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Engine;
using OpcLabs.EasyOpcFactory.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess.Engine
{
    static public class EasyDAClientParametersInstances
    {
        [NotNull]
        static public EasyDAClientParameters Instance1 => new EasyDAClientParameters(EasyClientParametersInstances.Instance1)
        {
            PercentDeadbandBucketsPerDecade = 111.1f,
            BrowseNodesChunk = 222,
            ElementNameCaseSensitive = false,
            LinkCallbackQueueSize = 333,
            TopicProcessingIntervalTimeout = 444,
            TopicProcessingTotalTimeout = 555,
            RequestQueueSize = 666,
            ResponseQueueSize = 777,
            TopicRetrialPeriod = 888,
            UpdateRateBucketsPerDecade = 999.9f,
        };
    }
}
