﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.ComInterop;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class DAItemDescriptorInstances
    {
        [NotNull]
        static public DAItemDescriptor Instance1 => new DAItemDescriptor("branch1.item1", VarTypes.I4, "accessPath1");

        [NotNull]
        static public DAItemDescriptor Instance2 => new DAItemDescriptor("branch2.item2", VarTypes.R4, "accessPath2");
    }
}
