﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Connectivity;
using OpcLabs.EasyOpcFactory.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Connectivity
{
    static public class UAConnectivityConfigurationInstances
    {

        [NotNull]
        static public UAConnectivityConfiguration Instance1 => new UAConnectivityConfiguration
        {
            SharedParameters = EasyUASharedParametersInstances.Instance1,
            IsolatedParameters = EasyUAAdaptableParametersInstances.Instance1,
            InstanceParameters = EasyUAInstanceParametersInstances.Instance1
        };

        [NotNull]
        static public UAConnectivityConfiguration Instance2 => new UAConnectivityConfiguration
        {
            AttributeReadParametersTemplate = UAAttributePointReadParametersInstances.Instance1,
            AttributeSubscribeParametersTemplate = UAAttributePointSubscribeParametersInstances.Instance1,
            AttributeWriteParametersTemplate = UAAttributePointWriteParametersInstances.Instance1,
        };
    }
}
