﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Discovery
{
    static public class UAApplicationDescriptionInstances
    {
        [NotNull]
        static public UAApplicationDescription Instance0 => new UAApplicationDescription();

        [NotNull]
        static public UAApplicationDescription Instance1 => new UAApplicationDescription(
            UAApplicationTypes.ClientOrServer,
            new [] { "siscoveryUriString1", "DiscoveryUriString2"},
            "applicationName",
            "productUriString",
            "applicationUriString",
            "discoveryProfileUriString",
            "gatewayuriString");
    }
}
