﻿using System;
using System.ComponentModel;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.Forms;
using OpcLabs.BaseLib.Forms.Common;

namespace OpcLabs.BaseLibTest.Forms
{
    public partial class TimeSpanInputTest
    {
        [TestMethod]
        public void NegativeInt32DisabledValueOnInputTest()
        {
            var target = new TimeSpanInput();

            var supportInitialize = (ISupportInitialize) target;
            supportInitialize.BeginInit();
            target.MinValue = 1;
            target.MaxValue = Int32.MaxValue;
            target.LastUnitDecimalPlaces = 0;
            target.AllowDisabling = true;
            target.DisabledValue = -1;
            target.Int32Value = -1;
            // must not throw
            supportInitialize.EndInit();
        }
    }
}
