﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class OpaqueDataTypeInstances
    {
        [NotNull]
        static public OpaqueDataType Instance0 => new OpaqueDataType();

        [NotNull]
        static public OpaqueDataType Instance1 => new OpaqueDataType("aName");

        [NotNull]
        static public OpaqueDataType Instance2 => new OpaqueDataType(1024);

        [NotNull]
        static public OpaqueDataType Instance3 => new OpaqueDataType("aName", "aFullName", 1);

        [NotNull]
        static public OpaqueDataType Instance4 => new OpaqueDataType("aName2", "aFullName2", 2) {Description = "aDescription"};
    }
}
