﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class StructuredDataTypeInstances
    {

        [NotNull]
        static public StructuredDataType IncompleteInstance1 => new StructuredDataType("aName5", "aFullName5")
        {
            DataFieldInstances.Instance3,
            DataFieldInstances.Instance2,
            DataFieldInstances.IncompleteInstance1,
            DataFieldInstances.Instance4,
            DataFieldInstances.Instance5
        };

        [NotNull]
        static public StructuredDataType IncompleteInstance2 => new StructuredDataType("aName5", "aFullName5")
        {
            DataFieldInstances.Instance1,
            DataFieldInstances.Instance4,
            DataFieldInstances.Instance3,
            DataFieldInstances.IncompleteInstance2,
            DataFieldInstances.Instance5
        };

        [NotNull]
        static public StructuredDataType Instance0 => new StructuredDataType();

        [NotNull]
        static public StructuredDataType Instance1 => new StructuredDataType("aName");

        [NotNull]
        static public StructuredDataType Instance2 => new StructuredDataType("aName2", "aFullName2");

        [NotNull]
        static public StructuredDataType Instance3 => new StructuredDataType("aName3", "aFullName3")
        {
            Description = "aDescription"
        };

        [NotNull]
        static public StructuredDataType Instance4 => new StructuredDataType("aName4", "aFullName4")
        {
            DataFieldInstances.Instance1
        };

        [NotNull]
        static public StructuredDataType Instance5 => new StructuredDataType("aName5", "aFullName5")
        {
            DataFieldInstances.Instance1,
            DataFieldInstances.Instance2,
            DataFieldInstances.Instance3,
            DataFieldInstances.Instance4,
            DataFieldInstances.Instance5
        };
    }
}
