﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.LiveBinding;

namespace OpcLabs.BaseLibFactory.LiveBinding
{
    static public class BindingBagInstances
    {
        [NotNull]
        static public BindingBag Instance0 => new BindingBag();

        [NotNull]
        static public BindingBag Instance1 => new BindingBag(PointBinderInstances.Instance1);

        [NotNull]
        static public BindingBag Instance2 => new BindingBag(
            // ReSharper disable once CoVariantArrayConversion
            new [] { PointBindingInstances.Instance1, PointBindingInstances.Instance1 });
    }
}
