﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.OperationModel;
using OpcLabs.BaseLib.Portable;

namespace OpcLabs.BaseLibFactory.OperationModel
{
    static public class OperationExceptionInstances
    {
        [NotNull]
        static public OperationException Instance1 => new OperationException("testMessage", new CustomException("testInnerMessage"));

        [NotNull]
        static public OperationException Instance2 => new OperationException("testMessage", -555, new CustomException("testInnerMessage"));
    }
}
