﻿using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.BaseLib.OperationModel;
using OpcLabs.BaseLibFactory.Collections.Specialized;

namespace OpcLabs.BaseLibFactory.OperationModel
{
    static public class OperationResultInstances
    {
        [NotNull]
        static public OperationResult Instance0 => new OperationResult();

        [NotNull]
        static public OperationResult Instance1 => new OperationResult("TestState");

        [NotNull]
        static public OperationResult Instance2 => new OperationResult(null, new COMException("TestMessage", 918273645), -8273645);

        [NotNull]
        static public OperationResult Instance3 => new OperationResult(null, new COMException("TestMessage1", new COMException("TestMessage2")), -918273645);

        [NotNull]
        static public OperationResult Instance4 => new OperationResult(
            state: "state6",
            errorCode: 0,
            exception: null,
            diagnostics: ExceptionCollectionInstances.Instance3);
    }
}
