﻿using JetBrains.Annotations;
using OpcLabs.BaseLib;
using OpcLabs.BaseLibFactory.Security;

namespace OpcLabs.BaseLibFactory
{
    static public class EndpointDescriptorInstances
    {
        // Instance0 is the same as Null
        //[NotNull]
        //static public EndpointDescriptor Instance0 => new EndpointDescriptor();

        [NotNull]
        static public EndpointDescriptor Instance1 => new EndpointDescriptor("testUrlString");

        [NotNull]
        static public EndpointDescriptor Instance2
        {
            get
            {
                EndpointDescriptor endpointDescriptor = Instance1;
                endpointDescriptor.NetworkSecurity = NetworkSecurityInstances.Instance1;
                return endpointDescriptor;
            }
        }

        [NotNull]
        static public EndpointDescriptor InvalidFormat = new EndpointDescriptor { UrlString = "!@#$%^&*()" };
    }
}
