﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AEConditionElementInstances
    {
        [NotNull]
        static public AEConditionElement Instance0 => new AEConditionElement();

        [NotNull]
        static public AEConditionElement Instance1
        {
            get
            {
                var aeConditionElement = new AEConditionElement("testCondition1", new string[0]);
                return aeConditionElement;
            }
        }

        [NotNull]
        static public AEConditionElement Instance2
        {
            get
            {
                var aeConditionElement = new AEConditionElement("testCondition2", new [] { "sc1", "sc2", "sc3" });
                return aeConditionElement;
            }
        }
    }
}
