﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.Forms.Browsing;

namespace OpcLabs.EasyOpcFactory.UA.Forms.Browsing
{
    static public class UABrowseModeInstances
    {
        [NotNull]
        static public UABrowseMode Instance1 => new UABrowseMode
        {
            AnchorElementType = UAElementType.Attribute,
            ManualNodes = false,
            MultiSelect = false,
            SelectElementType = UAElementType.Endpoint,
            SelectableNodeClasses = UANodeClass.DataType,
            ShowListBranches = false,
        };

        [NotNull]
        static public UABrowseMode Instance2 => new UABrowseMode
        {
            AnchorElementType = UAElementType.Host,
            ManualNodes = true,
            MultiSelect = true,
            SelectElementType = UAElementType.Node,
            SelectableNodeClasses = UANodeClass.All,
            ShowListBranches = true,
        };
    }
}
