﻿
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpcLiveTest.DataAccess.Environment;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    partial class EasyDAClientTest_Xml
    {
        [DynamicData(nameof(OpcFoundation_XmlDaSampleServer.ReadWriteableItemCatalogEntryDataRows), typeof(OpcFoundation_XmlDaSampleServer))]
        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void WriteItemValueCatalogTest_Xml_Basic([NotNull] DAItemCatalogEntry itemCatalogEntry)
        {
            WriteItemValueCatalogTest_Basic(TestEnvironment.OpcFoundation_XmlDaSampleServer.ServerDescriptors.Http, itemCatalogEntry);
        }
    }
}
