﻿
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace OpcLabs.EasyOpcLiveTest.Legacy.UA
{
    public partial class EasyUAClientTest
    {
        public partial class Endpoint
        {
            #region Test Methods

            /// <summary>
            /// Tests calling the Read method simultaneously from multiple threads.
            /// </summary>
            /// <remarks>
            /// This test has been introduced to cover a problem where missing synchronization was causing an unwanted exception.
            /// </remarks>
            [TestCategory("Live")]
            [TestCategory("OpcUA")]
            [TestCategory("Threading")]
            [TestMethod]
            public void MultiThreadedReadTest()
            {
                var tester = new MultiThreadedReadTester(EndpointDescriptor);
                tester.Test();
            }

            #endregion
        }
    }
}
